<p align="center">
  <img src="./assets/banner.png" alt="min-react" width="500" />
</p>

<p align="center">
  <b><a href="http://mincss.com/">Min</a> components for React.</b>
</p>

<p align="center">
  <a href="https://www.npmjs.com/package/min-react">
    <img src="https://img.shields.io/npm/v/min-react.svg" alt="version" />
  </a>
  <a href="https://npmjs.org/package/min-react">
    <img src="https://img.shields.io/npm/dm/min-react.svg" alt="downloads" />
  </a>
</p>

## Getting Started

If you don't have a React project yet, you can use create-react-app to get started, follow the instructions [here](https://create-react-app.dev/docs/getting-started/) to get started with create-react-app.

### Adding Min

Since this package includes the latest version of Min already, you don't need to install it separately.

To add this package to your project, run one of the following commands depending on what package manager you use:

```sh
npm install min-react
yarn add min-react
pnpm add min-react
```

### Using Min

Import the Min components you want to use in your `src/App.js` file or your custom component file:

```js
import { Button } from 'min-react';
```

### Dependencies

##### Required Peer Dependencies

These dependencies don't come with this package, so you need to install them separately:

* [React](https://reactjs.org/)

### Contributing

Contributing is possible, but you need to follow the [contributing guidelines](https://github.com/Iliannnn/min-react/blob/main/CONTRIBUTING.md).

### Documentation

The official documentation with more information about the components can be found [here](https://min-react.iliannnn.xyz/).

### Documatic

This project was made for a Hackathon hosted by [Documatic](https://www.documatic.com/).

Documatic is a search engine for your codebase; Ask documatic a question and find relevant code snippets and insights in seconds.

https://www.documatic.com/
Documatic acts as a search engine for your codebase; once you describe what you're looking for, Documatic pulls up related code or documentation making it easier to find what you're looking for in seconds!

Not sitting next to each other? No problem. Ask Documatic questions of your codebase to learn and understand your code in seconds. Documatic is the team member you wish you had

Our Visual Studio Code extension: https://marketplace.visualstudio.com/items?itemName=Documatic.documatic